Skip to content

access / ticket ​

2 operations.

GET /access/ticket ​

ts
proxmox.access.ticket.$get()

Dummy. Useful for formatters which want to provide a login page.

Returns nothing.

POST /access/ticket ​

ts
proxmox.access.ticket.$post()

Create or verify authentication ticket.

Returns object.

WARNING

Not callable with an API token.

ParameterTypeRequiredNotes
new-formatbooleanThis parameter is now ignored and assumed to be 1. — default 1
otpstringOne-time password for Two-factor authentication.
passwordstringyesThe secret password. This can also be a valid ticket.
pathstringVerify ticket, and check if user have access 'privs' on 'path' — ≤ 64 chars
privsstringVerify ticket, and check if user have access 'privs' on 'path' — format pve-priv-list, ≤ 64 chars
realmstringYou can optionally pass the realm using this parameter. Normally the realm is simply added to the username <username>@<realm>. — format pve-realm, ≤ 32 chars
tfa-challengestringThe signed TFA challenge string the user wants to respond to.
usernamestringyesUser name — ≤ 64 chars